if DetFlags.haveRIO.SCT_on() or DetFlags.haveRIO.pixel_on():

    if InDetFlags.solenoidOn():
        matEffects=0
    else:
        matEffects=0

    if InDetFlags.solenoidOn():
        MinNumberOfPointsOnTrack=4
    else:
        MinNumberOfPointsOnTrack=4


    OutputTrackCollection = "Si_Cosmic_Tracks"
    OutputCTBTrackCollection=OutputTrackCollection
    from SiCTBTracking.SiCTBTrackingConf import InDet__SiCTBTracking
    SiCTBTracking=InDet__SiCTBTracking(name="SiCTBTracking",
                                       TrackFitter=InDetTrackFitter,
                                       ExtrapolatorName=InDetExtrapolator,
                                       Chi2cut_x=10,
                                       Chi2cut_z=10,
                                       MinNumberOfPointsOnTrack=MinNumberOfPointsOnTrack,
                                       MaxNumberOfPoints=40,
                                       tracksname = OutputTrackCollection,
                                       tracksupname = OutputTrackCollection+"Up",
                                       trackslowname = OutputTrackCollection+"Low",
                                       processPixels = DetFlags.haveRIO.pixel_on(),
                                       processSCT = DetFlags.haveRIO.SCT_on(),
                                       Magnet = InDetFlags.solenoidOn(),
                                       matEffects = matEffects)
    
    topSequence += SiCTBTracking

    InDetCosmicTrackCollections.append(OutputTrackCollection)


    
if InDetFlags.doTrackSegmentsPixel() and DetFlags.haveRIO.pixel_on():
    MinNumberOfPointsOnTrack=4

    OutputTrackCollection = InDetKeys.PixelTracks()
    from SiCTBTracking.SiCTBTrackingConf import InDet__SiCTBTracking
    
    Pixel_CTBTracking=InDet__SiCTBTracking(name = "Pixel_CTBTracking",
                                           TrackFitter = InDetTrackFitter,
                                           ExtrapolatorName = InDetExtrapolator,
                                           Chi2cut_x = 10,
                                           Chi2cut_z = 10,
                                           MinNumberOfPointsOnTrack = MinNumberOfPointsOnTrack,
                                           MaxNumberOfPoints = 40,
                                           tracksname = OutputTrackCollection,
                                           tracksupname = OutputTrackCollection+"Up",
                                           trackslowname = OutputTrackCollection+"Low",
                                           processPixels = True,
                                           processSCT = False,
                                           Magnet = InDetFlags.solenoidOn())
    topSequence += Pixel_CTBTracking
    #InDetCosmicTrackCollections.append(OutputTrackCollection)


if InDetFlags.doTrackSegmentsSCT() and DetFlags.haveRIO.SCT_on():
    if InDetFlags.solenoidOn():
        MinNumberOfPointsOnTrack=4
    else:
        MinNumberOfPointsOnTrack=4
    OutputTrackCollection = InDetKeys.SCTTracks()
    from SiCTBTracking.SiCTBTrackingConf import InDet__SiCTBTracking
    SCT_CTBTracking=InDet__SiCTBTracking(name = "SCT_CTBTracking",
                                         TrackFitter = InDetTrackFitter,
                                         ExtrapolatorName = InDetExtrapolator,
                                         Chi2cut_x = 10,
                                         Chi2cut_z = 10,
                                         MinNumberOfPointsOnTrack = MinNumberOfPointsOnTrack,
                                         MaxNumberOfPoints = 40,
                                         tracksname = OutputTrackCollection,
                                         tracksupname = OutputTrackCollection+"Up",
                                         trackslowname =  OutputTrackCollection+"Low",
                                         processPixels = False,
                                         processSCT = True,
                                         Magnet = InDetFlags.solenoidOn())
    topSequence += SCT_CTBTracking
    #InDetCosmicTrackCollections.append(OutputTrackCollection)
